package com.jty.wsxt.domain;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * 组件注册
 *
 * @author Manjiajie
 * @since 2019-6-21 09:46:48
 */
@Component
public class DomainRegistry implements ApplicationContextAware {

    private static ApplicationContext applicationContext;

    @Override
    public synchronized void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        if(DomainRegistry.applicationContext==null) {
            DomainRegistry.applicationContext = applicationContext;
        }
    }
}
